export default class Serializable {
    /**
     * @returns {string} string representation of this object
     */
    toJson() {
        return JSON.stringify({
            '__className_srl__': this.constructor.name
        });
    }

    /**
     * @param {string} objString 
     * @returns {object}
     */
    static fromJson(objString) {
        // unimplemented
        return JSON.parse("{}");
    }
}